Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038173
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformtrivialhave not tried2018-03-20 09:112018-09-27 12:54
ReportercaristuView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR18Q4
StatusclosedFix in branchFixed in SCM revisionb3ead782e3e7
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038173: Register button of Registration pop-up navigates to a non-existent URL

DescriptionRegister button of Registration pop-up navigates to a non-existent URL
Steps To Reproduce1) Log-in as System Administrator
2) Open the "Register" pop-up
3) Click on the "Register" button
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0018689 acknowledgedplatform Several issues with the View Implementation infrastructure 
related to defect 0011541 closedalostale Decline button in registration popup has no identifier 
related to defect 00393483.0PR19Q4 closedcberner Review Activation_Message callout usage 
related to feature request 0024250 newshuehner ad_registration_info + ad_system_info tables should be loaded via ADRD 
related to defect 0038837 closedjarmendariz Registration popup should not appear 
related to design defect 0039326 closedjarmendariz API Change: Remove AD_Registration_Info and related items 
blocks design defect 0032688 acknowledgedplatform remove unused resources 

-  Notes
(0103483)
alostale (developer)
2018-03-26 09:03

As discussed with DME, this feature should be removed.
(0103638)
shuehner (administrator)
2018-04-01 12:15
edited on: 2018-04-02 13:31

Notes:
- There is special code in both prescript (ora & pg) related to the specific view implementation here.
- There is special code related to ad_registration_info table in build-create.xml

When that feature is removed both should be cleaned up as well.

Also:
- automation/pi code has registrationDisable.sql file running on execution via ant which is modifying the ad_registration_info table. So on removal that must be done in sync

(0105343)
caristu (developer)
2018-06-22 13:23

Postponed to 3.0PR18Q4
(0106880)
hgbot (developer)
2018-09-20 13:15

Repository: erp/devel/pi
Changeset: b3ead782e3e74199f9c7d91db71610886d951439
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Sep 12 09:27:14 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b3ead782e3e74199f9c7d91db71610886d951439 [^]

Fixed issue 38173: Removed all code related to Registration popup.

This commit removes:
- AD info regarding registration form
- AD_Registration_Info table
- JS References to registration popup

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MENU.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_TREENODE.xml
M modules/org.openbravo.client.application/src-db/database/sourcedata/OBUIAPP_VIEW_IMPL.xml
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-compatibility.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-layout.js
M referencedata/sampledata/F_B_International_Group/AD_FORM_ACCESS.xml
M referencedata/sampledata/F_B_International_Group/OBUIAPP_VIEW_ROLE_ACCESS.xml
M referencedata/sampledata/QA_Testing/AD_FORM_ACCESS.xml
M referencedata/sampledata/QA_Testing/OBUIAPP_VIEW_ROLE_ACCESS.xml
M src-db/database/build-create.xml
M src-db/database/model/postscript-Oracle.sql
M src-db/database/model/postscript-PostgreSql.sql
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_DATASET_TABLE.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FORM.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_TABLE.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-test/src/org/openbravo/test/role/inheritance/AccessPropagation.java
M src-test/src/org/openbravo/test/role/inheritance/DeletedAccessPropagation.java
M src-test/src/org/openbravo/test/role/inheritance/HorizontalInheritance.java
M src-test/src/org/openbravo/test/role/inheritance/RoleInheritanceTestUtils.java
M src-test/src/org/openbravo/test/role/inheritance/VerticalInheritance.java
M src/org/openbravo/erpCommon/ad_forms/Heartbeat.html
M src/org/openbravo/erpCommon/ad_forms/Heartbeat.java
M src/org/openbravo/erpCommon/ad_forms/Heartbeat.xml
M src/org/openbravo/erpCommon/ad_forms/InstancePurpose.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement_LocalChanges.html
M src/org/openbravo/erpCommon/ad_process/HeartbeatProcess.java
M src/org/openbravo/erpCommon/utility/VerticalMenu.html
R modules/org.openbravo.client.application/src-db/database/sourcedata/OBUIAPP_MENU_PARAMETERS.xml
R src-db/database/model/tables/AD_REGISTRATION_INFO.xml
R src-db/database/model/triggers/AD_REGISTRATION_INFO_TRG.xml
R src/org/openbravo/erpCommon/ad_forms/Register_data.xsql
R src/org/openbravo/erpCommon/ad_forms/Registration.html
R src/org/openbravo/erpCommon/ad_forms/Registration.java
R src/org/openbravo/erpCommon/ad_forms/Registration.xml
R src/org/openbravo/erpCommon/businessUtility/Registration_data.xsql
---
(0106882)
hgbot (developer)
2018-09-20 13:40

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 98d1aa742b2d140d884727659b57c289808819d8
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Sep 20 10:17:04 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/98d1aa742b2d140d884727659b57c289808819d8 [^]

Related to issue 38173: Removing registration popup.

This changeset removes all references to Registration form and view implementation in the sample data.

---
M referencedata/sampledata/The_White_Valley_Group/AD_FORM_ACCESS.xml
R referencedata/sampledata/The_White_Valley_Group/OBUIAPP_VIEW_ROLE_ACCESS.xml
---
(0106883)
hgbot (developer)
2018-09-20 13:43

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 45d63574498202ff14c2280ae0744a45e03c7584
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Sep 20 13:43:13 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/45d63574498202ff14c2280ae0744a45e03c7584 [^]

Related to issue 38173: Removing registration popup.

This changeset removes all references to Registration form and view implementation in the sample data.

---
M referencedata/sampledata/Retail_Test/AD_FORM_ACCESS.xml
M referencedata/sampledata/Retail_Test/OBUIAPP_VIEW_ROLE_ACCESS.xml
---
(0106884)
hgbot (developer)
2018-09-20 13:44

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: d3923f6e2c79c97348deb333cde905665a2d8b08
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Sep 06 10:44:36 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/d3923f6e2c79c97348deb333cde905665a2d8b08 [^]

Related to issue 38173: Removing registration popup.

This changeset removes all references to Registration form and view implementation in the sample data.

---
M referencedata/sampledata/AWO_QA/AD_FORM_ACCESS.xml
M referencedata/sampledata/AWO_QA/OBUIAPP_VIEW_ROLE_ACCESS.xml
---
(0106891)
hgbot (developer)
2018-09-20 15:28

Repository: tools/automation/int
Changeset: 8087c6c089ffdeed210e0fda87bc542341c2f398
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Sep 20 13:50:25 2018 +0200
URL: http://code.openbravo.com/tools/automation/int/rev/8087c6c089ffdeed210e0fda87bc542341c2f398 [^]

Related to issue 38173: Removed all Registration data.

Removed disabledRegistration.sql and other references to Registration popup.

---
M config/OpenbravoERPTest.properties.template
M src-test/com/openbravo/test/integration/erp/testsuites/smoke/masterdata/ADMa_LoggingInAndOut.java
M src-test/com/openbravo/test/integration/erp/testsuites/smoke/procurement/CLO_LoggingInAndOutClosure.java
M testfiles/es_ES/AD_ELEMENT_TRL_es_ES.xml
M testfiles/es_ES/AD_FIELD_TRL_es_ES.xml
R src-test/com/openbravo/test/integration/erp/gui/popups/Registration.java
---
(0106892)
hgbot (developer)
2018-09-20 15:28

Repository: tools/automation/int
Changeset: fb2cce29a39793552d26c78136167d705280411d
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Sep 20 15:13:46 2018 +0200
URL: http://code.openbravo.com/tools/automation/int/rev/fb2cce29a39793552d26c78136167d705280411d [^]

Related to issue 38173: Replaced disabledRegistration query with a dummy one

---
M disableRegistration.sql
---
(0106899)
hgbot (developer)
2018-09-20 17:46

Repository: erp/mods/org.openbravo.localization.spain.referencedata.translation.esES
Changeset: 4433a1bbeddb7e115db4ba85511c14b2201e0379
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Sep 06 12:36:34 2018 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.localization.spain.referencedata.translation.esES/rev/4433a1bbeddb7e115db4ba85511c14b2201e0379 [^]

Related to issue 38173: Removing registration popup.

This changeset removes all references to Registration form and view implementation in the sample data.

---
M referencedata/translation/es_ES/AD_ELEMENT_TRL_es_ES.xml
M referencedata/translation/es_ES/AD_MESSAGE_TRL_es_ES.xml
M referencedata/translation/es_ES/AD_TEXTINTERFACES_TRL_es_ES.xml
---
(0106911)
hudsonbot (developer)
2018-09-21 02:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ca4fbc83aa05 [^]
Maturity status: Test
(0106917)
hgbot (developer)
2018-09-21 08:53

Repository: erp/devel/pi
Changeset: de95833f07a58c4d8d8bbedcef3ea0bfb049198c
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Sep 21 08:52:49 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/de95833f07a58c4d8d8bbedcef3ea0bfb049198c [^]

Related to issue 38173: Updating copyright years

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-layout.js
M src-db/database/model/postscript-Oracle.sql
M src-db/database/model/postscript-PostgreSql.sql
---
(0106937)
hudsonbot (developer)
2018-09-21 13:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b08015f2457 [^]
Maturity status: Test
(0106987)
caristu (developer)
2018-09-25 10:01

Reviewed
(0107007)
hgbot (developer)
2018-09-25 13:02

Repository: erp/devel/pi
Changeset: e63c07dcad18f4e7ff011a2a03b228ce9f99cff7
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Sep 25 13:02:24 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e63c07dcad18f4e7ff011a2a03b228ce9f99cff7 [^]

Related to issue 38173: Using parameter instead of string replacement in query

---
M src-test/src/org/openbravo/test/role/inheritance/RoleInheritanceTestUtils.java
---
(0107032)
hudsonbot (developer)
2018-09-25 20:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b69e30e117b8 [^]
Maturity status: Test
(0107047)
hgbot (developer)
2018-09-27 12:54

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 336ccbfe7a8aabdf58a9576fff8abdc52f4320f5
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Sep 27 12:54:30 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/336ccbfe7a8aabdf58a9576fff8abdc52f4320f5 [^]

Related to issue 38173: Reverting part of sample data that should not be removed

---
A referencedata/sampledata/The_White_Valley_Group/OBUIAPP_VIEW_ROLE_ACCESS.xml
---

- Issue History
Date Modified Username Field Change
2018-03-20 09:11 caristu New Issue
2018-03-20 09:11 caristu Assigned To => platform
2018-03-20 09:11 caristu Modules => Core
2018-03-20 09:11 caristu Triggers an Emergency Pack => No
2018-03-20 09:21 jarmendariz Assigned To platform => jarmendariz
2018-03-23 14:18 alostale Assigned To jarmendariz => platform
2018-03-23 14:19 alostale Status new => acknowledged
2018-03-26 09:03 alostale Relationship added blocks 0032688
2018-03-26 09:03 alostale Note Added: 0103483
2018-03-26 09:04 alostale Target Version => 3.0PR18Q3
2018-04-01 12:15 shuehner Note Added: 0103638
2018-04-02 13:31 shuehner Note Edited: 0103638 View Revisions
2018-04-08 16:59 shuehner Relationship added related to 0024250
2018-06-22 13:22 caristu Target Version 3.0PR18Q3 =>
2018-06-22 13:23 caristu Note Added: 0105343
2018-06-25 10:21 jarmendariz Assigned To platform => jarmendariz
2018-06-26 10:40 jarmendariz Relationship added related to 0038837
2018-09-03 16:23 jarmendariz Relationship added related to 0018689
2018-09-06 13:18 jarmendariz Relationship added related to 0011541
2018-09-20 11:00 jarmendariz Relationship added related to 0039326
2018-09-20 13:15 hgbot Checkin
2018-09-20 13:15 hgbot Note Added: 0106880
2018-09-20 13:15 hgbot Status acknowledged => resolved
2018-09-20 13:15 hgbot Resolution open => fixed
2018-09-20 13:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b3ead782e3e74199f9c7d91db71610886d951439 [^]
2018-09-20 13:40 hgbot Checkin
2018-09-20 13:40 hgbot Note Added: 0106882
2018-09-20 13:43 hgbot Checkin
2018-09-20 13:43 hgbot Note Added: 0106883
2018-09-20 13:44 hgbot Checkin
2018-09-20 13:44 hgbot Note Added: 0106884
2018-09-20 15:28 hgbot Checkin
2018-09-20 15:28 hgbot Note Added: 0106891
2018-09-20 15:28 hgbot Checkin
2018-09-20 15:28 hgbot Note Added: 0106892
2018-09-20 17:12 hgbot Checkin
2018-09-20 17:12 hgbot Note Added: 0106895
2018-09-20 17:46 hgbot Checkin
2018-09-20 17:46 hgbot Note Added: 0106899
2018-09-21 02:17 hudsonbot Checkin
2018-09-21 02:17 hudsonbot Note Added: 0106911
2018-09-21 08:43 jarmendariz Review Assigned To => caristu
2018-09-21 08:53 hgbot Checkin
2018-09-21 08:53 hgbot Note Added: 0106917
2018-09-21 09:36 jarmendariz Note Deleted: 0106895
2018-09-21 13:07 hudsonbot Checkin
2018-09-21 13:07 hudsonbot Note Added: 0106937
2018-09-25 10:01 caristu Note Added: 0106987
2018-09-25 10:01 caristu Status resolved => closed
2018-09-25 10:01 caristu Fixed in Version => 3.0PR18Q4
2018-09-25 10:10 caristu Relationship added related to 0039348
2018-09-25 13:02 hgbot Checkin
2018-09-25 13:02 hgbot Note Added: 0107007
2018-09-25 20:57 hudsonbot Checkin
2018-09-25 20:57 hudsonbot Note Added: 0107032
2018-09-27 12:54 hgbot Checkin
2018-09-27 12:54 hgbot Note Added: 0107047


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker